<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76985 "21:23:05"))'</do-it>



<class>
<name>ChemoJunAbstractFileWriter</name>
<environment>ChemoJun</environment>
<super>ChemoJun.ChemoJunAbstractFile</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-Abstract-Objects</category>
<attributes>
<package>ChemoJun-Abstract-Objects</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunAbstractFileWriter class</class-id> <category>copyright</category>

<body package="ChemoJun-Abstract-Objects" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-Abstract-Objects" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-Abstract-Objects" selector="version">version
	^'071'
</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFileWriter class</class-id> <category>defaults</category>

<body package="ChemoJun-Abstract-Objects" selector="defaultInitialFileName">defaultInitialFileName
	^nil</body>

<body package="ChemoJun-Abstract-Objects" selector="defaultRequestMessageString">defaultRequestMessageString
	^(#jun_Input_a_file_ &gt;&gt; 'Input a file.') asString</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFileWriter class</class-id> <category>utilities</category>

<body package="ChemoJun-Abstract-Objects" selector="request:">request: messageString 
	"ChemoJunAbstractFileWriter request: ChemoJunAbstractFileWriter defaultRequestMessageString."

	^self request: messageString initialFileName: self defaultInitialFileName</body>

<body package="ChemoJun-Abstract-Objects" selector="request:initialFileName:">request: messageString initialFileName: initialFileName 
	"ChemoJunAbstractFileWriter request: ChemoJunAbstractFileWriter defaultRequestMessageString initialFileName: 'filename'."

	| labels values menu aFilename aWriter |
	labels := self defaultFileDescriptions.
	values := self defaultFilePatterns.
	menu := Menu labelList: labels values: values.
	aFilename := ChemoJunFileRequesterDialog 
				requestNewFilename: messageString
				initialFilename: initialFileName
				fileTypeMenu: menu
				initialFileType: values first.
	aFilename isNil ifTrue: [^nil].
	aWriter := self new.
	aWriter fileName: aFilename.
	^aWriter</body>

<body package="ChemoJun-Abstract-Objects" selector="requestInitialFileName:">requestInitialFileName: initialFileName 
	"ChemoJunAbstractFileWriter requestInitialFileName: 'filename'."

	^self request: self defaultRequestMessageString
		initialFileName: initialFileName</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunAbstractFileWriter</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFileWriter</class-id> <category>writing</category>

<body package="ChemoJun-Abstract-Objects" selector="write">write
	self fileName isNil ifTrue: [^nil].
	self 
		assert: [self fileName asFilename writeStream]
		do: [:aStream | self writeOn: aStream]
		ensure: [:aStream | aStream close]</body>

<body package="ChemoJun-Abstract-Objects" selector="writeOn:">writeOn: aStream 
	^self</body>
</methods>


</st-source>
