<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76978 "21:22:58"))'</do-it>



<class>
<name>ChemoJunCredits</name>
<environment>ChemoJun</environment>
<super>Jun.JunBulletinBoard</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-System-Support</category>
<attributes>
<package>ChemoJun-System-Support</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunCredits class</class-id> <category>instance creation</category>

<body package="ChemoJun-System-Support" selector="show">show
	"ChemoJunCredits show."

	| aModel aString aView aDecorator aWindow displayArea launcherWindow launcherModel |
	aModel := ChemoJunCredits new.
	aString := JunBulletinBoard 
				convertToFlatString: (#chemoJun_CreditString 
						&gt;&gt; ('Copyright 2002-' , (ChemoJunSystem date copyUpTo: $/) 
								, ' National Institute of Informatics, Research Organization of Information and Systems')) 
							asString.
	aString with: (1 to: aString size)
		do: 
			[:aCharacter :anIndex | 
			aModel color: (ColorValue 
						hue: 0
						saturation: 0
						brightness: 0).
			aModel add: (String with: aCharacter)].
	aView := JunBulletinBoardView model: aModel.
	aDecorator := aView defaultDecorator.
	aWindow := ScheduledWindow 
				model: aModel
				label: (#jun_Credits &gt;&gt; 'Credits') asString
				minimumSize: aView defaultWindowSize.
	aWindow component: aDecorator.
	displayArea := nil.
	launcherWindow := nil.
	launcherModel := ScheduledControllers scheduledControllers detect: 
					[:c | 
					launcherWindow := c view.
					c model isKindOf: ChemoJunLauncher]
				ifNone: [nil].
	launcherModel notNil 
		ifTrue: 
			[| origin extent |
			origin := launcherWindow displayBox bottomLeft + (0 @ 20).
			extent := launcherWindow displayBox width 
						@ aModel class defaultBulletinHeight.
			displayArea := origin extent: extent.	"aWindow maximumSize: displayArea extent"
			aWindow minimumSize: displayArea extent].
	displayArea isNil 
		ifTrue: 
			[aWindow 
				openWithExtent: aWindow minimumSize x @ aModel class defaultBulletinHeight]
		ifFalse: [aWindow openIn: displayArea].
	aView displaySpeed: 4.
	^aModel</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunCredits class</class-id> <category>copyright</category>

<body package="ChemoJun-System-Support" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-System-Support" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-System-Support" selector="version">version
	^'071'
</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunCredits class</class-id> <category>defaults</category>

<body package="ChemoJun-System-Support" selector="defaultBackgroundColor">defaultBackgroundColor
	^ColorValue white</body>

<body package="ChemoJun-System-Support" selector="defaultBulletinHeight">defaultBulletinHeight
	^36</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunCredits</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>


</st-source>
