<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76976 "21:22:56"))'</do-it>



<class>
<name>ChemoJunImageCatalogVoid</name>
<environment>ChemoJun</environment>
<super>Graphics.VisualComponent</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>displayBox </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-Catalog-Image</category>
<attributes>
<package>ChemoJun-Catalog-Image</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid class</class-id> <category>copyright</category>

<body package="ChemoJun-Catalog-Image" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-Catalog-Image" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-Catalog-Image" selector="version">version
	^'071'
</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid class</class-id> <category>defaults</category>

<body package="ChemoJun-Catalog-Image" selector="defaultCatalogClass">defaultCatalogClass
	^ChemoJunImageCatalog</body>

<body package="ChemoJun-Catalog-Image" selector="defaultElementExtent">defaultElementExtent
	^256 @ 256</body>

<body package="ChemoJun-Catalog-Image" selector="defaultEmptyColor">defaultEmptyColor
	^ColorValue veryLightGray</body>

<body package="ChemoJun-Catalog-Image" selector="defaultLispConsClass">defaultLispConsClass
	^JunLispCons</body>

<body package="ChemoJun-Catalog-Image" selector="defaultLispNilClass">defaultLispNilClass
	^JunLispNil</body>

<body package="ChemoJun-Catalog-Image" selector="defaultLispParserClass">defaultLispParserClass
	^JunLispParser</body>

<body package="ChemoJun-Catalog-Image" selector="defaultMoleculeObjectClass">defaultMoleculeObjectClass
	^ChemoJunMoleculeObject</body>

<body package="ChemoJun-Catalog-Image" selector="defaultMoleculePresentation">defaultMoleculePresentation
	^#moleculeAsBallAndStick</body>

<body package="ChemoJun-Catalog-Image" selector="defaultMoleculeViewerClass">defaultMoleculeViewerClass
	^ChemoJunMoleculeViewer</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid class</class-id> <category>examples</category>

<body package="ChemoJun-Catalog-Image" selector="example1">example1
	"ChemoJunImageCatalogVoid example1."

	| catalogVoid |
	catalogVoid := ChemoJunImageCatalogVoid new.
	JunImageDisplayModel show: catalogVoid thumbnail.
	^catalogVoid</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid class</class-id> <category>lisp support</category>

<body package="ChemoJun-Catalog-Image" selector="fromLispList:">fromLispList: aList 
	| anObject |
	anObject := (Smalltalk at: aList head) new.
	anObject class fromLispList: aList for: anObject.
	^anObject</body>

<body package="ChemoJun-Catalog-Image" selector="fromLispList:for:">fromLispList: aList for: anObject 
	^anObject</body>

<body package="ChemoJun-Catalog-Image" selector="lispCons">lispCons
	^self defaultLispConsClass cell</body>

<body package="ChemoJun-Catalog-Image" selector="lispNil">lispNil
	^self defaultLispNilClass null</body>

<body package="ChemoJun-Catalog-Image" selector="tableFromLispList:">tableFromLispList: aList 
	"ChemoJunImageCatalogVoid tableFromLispList: (JunLispParser parse: '((a . 1) (b . 2) (c . 3))')."

	| aTable |
	aTable := JunAttributeTable new.
	aList do: 
			[:pair | 
			(pair isKindOf: self defaultLispConsClass) 
				ifTrue: [aTable at: pair head put: pair tail]].
	^aTable</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>initialize-release</category>

<body package="ChemoJun-Catalog-Image" selector="initialize">initialize
	super initialize.
	displayBox := nil</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>accessing</category>

<body package="ChemoJun-Catalog-Image" selector="extent">extent
	displayBox ifNil: [^self class defaultElementExtent].
	^displayBox extent</body>

<body package="ChemoJun-Catalog-Image" selector="filename">filename
	^nil</body>

<body package="ChemoJun-Catalog-Image" selector="filename:">filename: ignore 
	^self</body>

<body package="ChemoJun-Catalog-Image" selector="height">height
	^self extent y</body>

<body package="ChemoJun-Catalog-Image" selector="image">image
	^nil</body>

<body package="ChemoJun-Catalog-Image" selector="moleculeObject">moleculeObject
	^nil</body>

<body package="ChemoJun-Catalog-Image" selector="tailName">tailName
	self filename ifNil: [^String new].
	^(Filename splitPath: self filename asString) last asString</body>

<body package="ChemoJun-Catalog-Image" selector="thumbnail">thumbnail
	^nil</body>

<body package="ChemoJun-Catalog-Image" selector="thumbnail:">thumbnail: ignore 
	^self</body>

<body package="ChemoJun-Catalog-Image" selector="width">width
	^self extent x</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>bounds accessing</category>

<body package="ChemoJun-Catalog-Image" selector="bounds:">bounds: newBounds 
	super bounds: newBounds.
	displayBox := newBounds</body>

<body package="ChemoJun-Catalog-Image" selector="preferredBounds">preferredBounds
	displayBox ifNil: [displayBox := Point zero extent: Point zero].
	^displayBox</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>copying</category>

<body package="ChemoJun-Catalog-Image" selector="postCopy">postCopy
	super postCopy.
	displayBox := displayBox copy</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>defaults</category>

<body package="ChemoJun-Catalog-Image" selector="defaultImage">defaultImage
	| anImage |
	JunControlUtility 
		assert: [Pixmap extent: self extent * self defaultImageMagnifyingFactor]
		do: 
			[:aPixmap | 
			| graphicsContext |
			graphicsContext := aPixmap graphicsContext.
			graphicsContext
				paint: self class defaultEmptyColor;
				displayRectangle: aPixmap bounds.
			anImage := aPixmap asImage]
		ensure: [:aPixmap | aPixmap close].
	^anImage</body>

<body package="ChemoJun-Catalog-Image" selector="defaultImageMagnifyingFactor">defaultImageMagnifyingFactor
	^2</body>

<body package="ChemoJun-Catalog-Image" selector="defaultThumbnail">defaultThumbnail
	| anImage |
	JunControlUtility 
		assert: [Pixmap extent: self extent]
		do: 
			[:aPixmap | 
			| graphicsContext |
			graphicsContext := aPixmap graphicsContext.
			graphicsContext
				paint: self class defaultEmptyColor;
				displayRectangle: aPixmap bounds.
			anImage := aPixmap asImage]
		ensure: [:aPixmap | aPixmap close].
	^anImage</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>displaying</category>

<body package="ChemoJun-Catalog-Image" selector="displayOn:">displayOn: graphicsContext 
	(self bounds intersects: graphicsContext clippingBounds) 
		ifTrue: 
			[self thumbnail ifNil: 
					[graphicsContext paint: self class defaultEmptyColor.
					graphicsContext displayRectangle: self bounds]
				ifNotNil: [:it | it displayOn: graphicsContext at: self bounds origin]]</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>lisp support</category>

<body package="ChemoJun-Catalog-Image" selector="kindName">kindName
	^self class name</body>

<body package="ChemoJun-Catalog-Image" selector="lispCons">lispCons
	^self class lispCons</body>

<body package="ChemoJun-Catalog-Image" selector="lispNil">lispNil
	^self class lispNil</body>

<body package="ChemoJun-Catalog-Image" selector="toLispList">toLispList
	| aList |
	aList := self lispCons.
	aList head: self class name.
	^aList</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>printing</category>

<body package="ChemoJun-Catalog-Image" selector="printOn:">printOn: aStream 
	self toLispList printOn: aStream</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>testing</category>

<body package="ChemoJun-Catalog-Image" selector="isNotVoid">isNotVoid
	^self isVoid not</body>

<body package="ChemoJun-Catalog-Image" selector="isVoid">isVoid
	^true</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunImageCatalogVoid</class-id> <category>private</category>

<body package="ChemoJun-Catalog-Image" selector="baseNameString">baseNameString
	^String new</body>
</methods>


</st-source>
