<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76985 "21:23:05"))'</do-it>



<class>
<name>ChemoJunTextFileReader</name>
<environment>ChemoJun</environment>
<super>ChemoJun.ChemoJunAbstractFileReader</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>lineCollection </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-File-IO</category>
<attributes>
<package>ChemoJun-File-IO</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunTextFileReader class</class-id> <category>copyright</category>

<body package="ChemoJun-File-IO" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-File-IO" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-File-IO" selector="version">version
	^'071'
</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunTextFileReader class</class-id> <category>defaults</category>

<body package="ChemoJun-File-IO" selector="defaultFileDescriptions">defaultFileDescriptions
	^Array with: (Array with: (#jun_Text_files &gt;&gt; 'Text files') asString)
		with: (Array with: (#jun_All_files &gt;&gt; 'All files') asString)</body>

<body package="ChemoJun-File-IO" selector="defaultFilePatterns">defaultFilePatterns
	^Array with: #('*.txt' '*.TXT') with: #('*')</body>

<body package="ChemoJun-File-IO" selector="defaultRequestMessageString">defaultRequestMessageString
	^(#jun_Select_a_text_file_ &gt;&gt; 'Select a text file.') asString</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunTextFileReader class</class-id> <category>examples</category>

<body package="ChemoJun-File-IO" selector="example1">example1
	"ChemoJunTextFileReader example1."

	| aReader |
	aReader := ChemoJunTextFileReader request.
	aReader isNil ifTrue: [^nil].
	^aReader</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunTextFileReader</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunTextFileReader</class-id> <category>initialize-release</category>

<body package="ChemoJun-File-IO" selector="initialize">initialize
	super initialize.
	lineCollection := nil</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunTextFileReader</class-id> <category>accessing</category>

<body package="ChemoJun-File-IO" selector="lineCollection">lineCollection
	lineCollection isNil ifTrue: [lineCollection := OrderedCollection new].
	^lineCollection</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunTextFileReader</class-id> <category>reading</category>

<body package="ChemoJun-File-IO" selector="readFrom:">readFrom: aStream 
	[aStream atEnd not] whileTrue: 
			[(self getLine: aStream) 
				ifNotNil: [:aString | self lineCollection add: (aString copyUpTo: Character cr)]]</body>
</methods>


</st-source>
