<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76981 "21:23:01"))'</do-it>



<class>
<name>ChemoJunAbstractFile</name>
<environment>ChemoJun</environment>
<super>Jun.JunAbstractObject</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>fileName </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-Abstract-Objects</category>
<attributes>
<package>ChemoJun-Abstract-Objects</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunAbstractFile class</class-id> <category>instance creation</category>

<body package="ChemoJun-Abstract-Objects" selector="fileName:">fileName: aFilename 
	^(self new)
		fileName: aFilename;
		yourself</body>

<body package="ChemoJun-Abstract-Objects" selector="new">new
	^(super new)
		initialize;
		yourself</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFile class</class-id> <category>copyright</category>

<body package="ChemoJun-Abstract-Objects" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-Abstract-Objects" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-Abstract-Objects" selector="version">version
	^'071'
</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFile class</class-id> <category>defaults</category>

<body package="ChemoJun-Abstract-Objects" selector="defaultFileDescriptions">defaultFileDescriptions
	^Array with: (Array with: (#jun_All_files &gt;&gt; 'All files') asString)</body>

<body package="ChemoJun-Abstract-Objects" selector="defaultFilePatterns">defaultFilePatterns
	^Array with: #('*')</body>

<body package="ChemoJun-Abstract-Objects" selector="defaultRequestMessageString">defaultRequestMessageString
	^self subclassResponsibility</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFile class</class-id> <category>utilities</category>

<body package="ChemoJun-Abstract-Objects" selector="request">request
	^self request: self defaultRequestMessageString</body>

<body package="ChemoJun-Abstract-Objects" selector="request:">request: messageString 
	^self subclassResponsibility</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunAbstractFile</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFile</class-id> <category>initialize-release</category>

<body package="ChemoJun-Abstract-Objects" selector="initialize">initialize
	fileName := nil</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFile</class-id> <category>accessing</category>

<body package="ChemoJun-Abstract-Objects" selector="baseName">baseName
	^ChemoJunAbstractObject baseNameFromFilename: self fileName</body>

<body package="ChemoJun-Abstract-Objects" selector="extension">extension
	^ChemoJunAbstractObject extensionFromFilename: self fileName</body>

<body package="ChemoJun-Abstract-Objects" selector="fileName">fileName
	^fileName</body>

<body package="ChemoJun-Abstract-Objects" selector="fileName:">fileName: aFilename 
	fileName := aFilename asFilename</body>

<body package="ChemoJun-Abstract-Objects" selector="pathName">pathName
	^(Filename splitPath: self fileName asString) first</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFile</class-id> <category>format</category>

<body package="ChemoJun-Abstract-Objects" selector="a:value:">a: argumentString value: aValue 
	"self new a: '10' value: 'abc'."

	"self new a: '' value: 'abc'."

	"self new a: '3' value: 'abcdefgh'."

	^JunStringUtility a: argumentString value: aValue</body>

<body package="ChemoJun-Abstract-Objects" selector="e:value:">e: argumentString value: aValue 
	^JunStringUtility e: argumentString value: aValue</body>

<body package="ChemoJun-Abstract-Objects" selector="f:value:">f: argumentString value: aValue 
	"self new f: '10.4' value: 1234.567."

	"self new f: '' value: 1234.567."

	"self new f: '3' value: 1234.567890."

	^JunStringUtility f: argumentString value: aValue</body>

<body package="ChemoJun-Abstract-Objects" selector="format:value:">format: aString value: aValue 
	"self new format: 'a10' value: 'abc'."

	"self new format: 'f10.4' value: 1234.567."

	"self new format: 'x10' value: nil."

	^JunStringUtility format: aString value: aValue</body>

<body package="ChemoJun-Abstract-Objects" selector="i:value:">i: argumentString value: aValue 
	"self new i: '10' value: 1234567."

	"self new i: '' value: 1234567."

	"self new i: '3' value: 1234567890."

	^JunStringUtility i: argumentString value: aValue</body>

<body package="ChemoJun-Abstract-Objects" selector="x:">x: argumentString 
	"self new x: '10'."

	"self new x: ''."

	^JunStringUtility x: argumentString</body>

<body package="ChemoJun-Abstract-Objects" selector="z:value:">z: argumentString value: fixedPointValue 
	"ChemoJunAbstractFile new z: '10.4' value: 1234.567s."

	"ChemoJunAbstractFile new z: '' value: 1234.567s."

	"ChemoJunAbstractFile new z: '3' value: 1234.567890s."

	"ChemoJunAbstractFile new z: '10.4' value: 1s."

	| collection length decimal string index |
	collection := JunStringUtility separate: argumentString
				dividers: JunStringUtility separators , '.'.
	collection isEmpty 
		ifTrue: 
			[length := 10.
			decimal := 4]
		ifFalse: 
			[length := collection first asNumber.
			decimal := collection last asNumber].
	string := fixedPointValue printString copyUpTo: $s.
	index := string findFirst: [:c | c = $.].
	index &lt; 1 ifTrue: [index := string size + 1].
	decimal - (string size - index) timesRepeat: [string := string , ' '].
	self 
		assert: [String new writeStream]
		do: 
			[:stream | 
			length - string size timesRepeat: [stream nextPut: Character space].
			stream nextPutAll: (string copyFrom: 1 to: (length min: string size)).
			string := stream contents]
		ensure: [:stream | stream close].
	^string</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFile</class-id> <category>private</category>

<body package="ChemoJun-Abstract-Objects" selector="getChar:">getChar: aStream 
	^JunStringUtility getChar: aStream</body>

<body package="ChemoJun-Abstract-Objects" selector="getLine:">getLine: aStream 
	^JunStringUtility getLine: aStream</body>

<body package="ChemoJun-Abstract-Objects" selector="separate:">separate: separateCollection 
	^self separate: separateCollection dividers: self separators</body>

<body package="ChemoJun-Abstract-Objects" selector="separate:dividers:">separate: separateCollection dividers: dividerCollection 
	^JunStringUtility separate: separateCollection dividers: dividerCollection</body>

<body package="ChemoJun-Abstract-Objects" selector="separators">separators
	| stream |
	stream := WriteStream on: (String new: 10).
	stream nextPut: Character space.
	stream nextPut: Character tab.
	stream nextPut: Character cr.
	stream nextPut: Character lf.
	^stream contents</body>

<body package="ChemoJun-Abstract-Objects" selector="setFileName:">setFileName: aFilename 
	fileName := aFilename</body>

<body package="ChemoJun-Abstract-Objects" selector="skipSeparators:">skipSeparators: aString 
	"self new skipSeparators: '    zzz'."

	| subString |
	subString := aString copyFrom: 1 to: aString size.
	[subString isEmpty not and: [subString first isSeparator]] 
		whileTrue: [subString := subString copyFrom: 2 to: subString size].
	^subString</body>
</methods>


</st-source>
