<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76985 "21:23:05"))'</do-it>



<class>
<name>ChemoJunAbstractFileReader</name>
<environment>ChemoJun</environment>
<super>ChemoJun.ChemoJunAbstractFile</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>commentList </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-Abstract-Objects</category>
<attributes>
<package>ChemoJun-Abstract-Objects</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunAbstractFileReader class</class-id> <category>copyright</category>

<body package="ChemoJun-Abstract-Objects" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-Abstract-Objects" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-Abstract-Objects" selector="version">version
	^'071'
</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFileReader class</class-id> <category>defaults</category>

<body package="ChemoJun-Abstract-Objects" selector="defaultRequestMessageString">defaultRequestMessageString
	^(#jun_Select_a_file_ &gt;&gt; 'Select a file.') asString</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFileReader class</class-id> <category>utilities</category>

<body package="ChemoJun-Abstract-Objects" selector="request:">request: messageString 
	"ChemoJunAbstractFileReader request: ChemoJunAbstractFileReader defaultRequestMessageString."

	| labels values menu aFilename aReader |
	labels := self defaultFileDescriptions.
	values := self defaultFilePatterns.
	menu := Menu labelList: labels values: values.
	aFilename := ChemoJunFileRequesterDialog 
				requestFilename: messageString
				fileTypeMenu: menu
				initialFileType: values first.
	aFilename isNil ifTrue: [^nil].
	aReader := self fileName: aFilename.
	aReader isNil ifTrue: [^nil].
	^aReader</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunAbstractFileReader</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFileReader</class-id> <category>initialize-release</category>

<body package="ChemoJun-Abstract-Objects" selector="initialize">initialize
	super initialize.
	commentList := nil</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFileReader</class-id> <category>accessing</category>

<body package="ChemoJun-Abstract-Objects" selector="commentList">commentList
	commentList isNil ifTrue: [commentList := OrderedCollection new].
	^commentList</body>

<body package="ChemoJun-Abstract-Objects" selector="fileName:">fileName: aFilename 
	| theFilename |
	theFilename := aFilename asFilename.
	fileName = theFilename 
		ifFalse: 
			[super fileName: theFilename.
			Cursor read showWhile: [self read]]</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunAbstractFileReader</class-id> <category>reading</category>

<body package="ChemoJun-Abstract-Objects" selector="read">read
	self fileName isNil ifTrue: [^nil].
	self 
		assert: [self fileName readStream]
		do: [:aStream | Cursor read showWhile: [self readFrom: aStream]]
		ensure: [:aStream | aStream close]</body>

<body package="ChemoJun-Abstract-Objects" selector="readFrom:">readFrom: aStream 
	^self</body>
</methods>


</st-source>
