<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76978 "21:22:58"))'</do-it>



<class>
<name>ChemoJunChemicalMediaNavigator</name>
<environment>ChemoJun</environment>
<super>Jun.JunMultiMediaNavigator</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>moleculeModel </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-Display-Navigator</category>
<attributes>
<package>ChemoJun-Display-Navigator</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator class</class-id> <category>class initialization</category>

<body package="ChemoJun-Display-Navigator" selector="install">install
	"ChemoJunChemicalMediaNavigator install."

	JunFileNavigator icon16x16Table at: 'mol'
		ifAbsentPut: [ChemoJunOpaqueImageIcons chemoJun16x16].
	JunFileNavigator icon64x64Table at: 'mol'
		ifAbsentPut: [ChemoJunOpaqueImageIcons chemoJun64x64].
	JunFileNavigator icon16x16Table at: 'mic'
		ifAbsentPut: [ChemoJunOpaqueImageIcons chemoJun16x16].
	JunFileNavigator icon64x64Table at: 'mic'
		ifAbsentPut: [ChemoJunOpaqueImageIcons chemoJun64x64].
	JunFileNavigator icon16x16Table at: 'mvc'
		ifAbsentPut: [ChemoJunOpaqueImageIcons chemoJun16x16].
	JunFileNavigator icon64x64Table at: 'mvc'
		ifAbsentPut: [ChemoJunOpaqueImageIcons chemoJun64x64].
	JunFileNavigator icon16x16Table at: 'sdf'
		ifAbsentPut: [ChemoJunOpaqueImageIcons chemoJun16x16].
	JunFileNavigator icon64x64Table at: 'sdf'
		ifAbsentPut: [ChemoJunOpaqueImageIcons chemoJun64x64].
	^self</body>

<body package="ChemoJun-Display-Navigator" selector="uninstall">uninstall
	"ChemoJunChemicalMediaNavigator uninstall."

	JunFileNavigator icon16x16Table removeKey: 'mol' ifAbsent: [nil].
	JunFileNavigator icon64x64Table removeKey: 'mol' ifAbsent: [nil].
	JunFileNavigator icon16x16Table removeKey: 'mic' ifAbsent: [nil].
	JunFileNavigator icon64x64Table removeKey: 'mic' ifAbsent: [nil].
	JunFileNavigator icon16x16Table removeKey: 'mvc' ifAbsent: [nil].
	JunFileNavigator icon64x64Table removeKey: 'mvc' ifAbsent: [nil].
	JunFileNavigator icon16x16Table removeKey: 'sd' ifAbsent: [nil].
	JunFileNavigator icon64x64Table removeKey: 'sd' ifAbsent: [nil].
	^self</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator class</class-id> <category>copyright</category>

<body package="ChemoJun-Display-Navigator" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-Display-Navigator" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-Display-Navigator" selector="version">version
	^'071'
</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator class</class-id> <category>examples</category>

<body package="ChemoJun-Display-Navigator" selector="example">example
	"ChemoJunChemicalMediaNavigator example."

	ChemoJunChemicalMediaNavigator open</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator class</class-id> <category>interface specs</category>

<body package="ChemoJun-Display-Navigator" selector="windowSpec">windowSpec
	"Tools.UIPainter new openOnClass: self andSelector: #windowSpec"

	&lt;resource: #canvas&gt;
	^#(#{UI.FullSpec} 
		#window: 
		#(#{UI.WindowSpec} 
			#label: 
			#(#{Kernel.UserMessage} 
				#key: #chemoJun_Chemical_Media_Navigator 
				#defaultString: 'Chemical Media Navigator' ) 
			#min: #(#{Core.Point} 400 500 ) 
			#bounds: #(#{Graphics.Rectangle} 500 200 1024 800 ) 
			#colors: 
			#(#{UI.LookPreferences} 
				#setBackgroundColor: #(#{Graphics.ColorValue} #white ) ) 
			#isEventDriven: true ) 
		#component: 
		#(#{UI.SpecCollection} 
			#collection: #(
				#(#{UI.SubCanvasSpec} 
					#layout: #(#{Graphics.LayoutFrame} 0 0 0 0 0 1 -282 1 ) 
					#name: #moleculeModel 
					#flags: 0 ) 
				#(#{UI.SubCanvasSpec} 
					#layout: #(#{Graphics.LayoutFrame} 0 0 0 0 0 1 -282 1 ) 
					#name: #movieModel 
					#flags: 0 ) 
				#(#{UI.SubCanvasSpec} 
					#layout: #(#{Graphics.LayoutFrame} 0 0 0 0 0 1 -282 1 ) 
					#name: #imageModel 
					#flags: 0 ) 
				#(#{UI.SubCanvasSpec} 
					#layout: #(#{Graphics.LayoutFrame} 0 0 0 0 0 1 -282 1 ) 
					#name: #textModel 
					#flags: 0 ) 
				#(#{UI.SubCanvasSpec} 
					#layout: #(#{Graphics.LayoutFrame} 0 0 0 0 0 1 -282 1 ) 
					#name: #bodyModel 
					#flags: 0 ) 
				#(#{UI.ResizingSplitterSpec} 
					#layout: #(#{Graphics.LayoutFrame} 1 0 -282 1 -1 1 -281 1 ) 
					#name: #ResizingSplitter1 
					#horizontal: true 
					#minAboveSize: 300 
					#minBelowSize: 100 
					#aboveWidgets: 'moleculeModel movieModel imageModel textModel bodyModel' 
					#belowWidgets: 'fileModel' ) 
				#(#{UI.SubCanvasSpec} 
					#layout: #(#{Graphics.LayoutFrame} 0 0 -281 1 0 1 0 1 ) 
					#name: #fileModel 
					#flags: 0 ) ) ) )</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator class</class-id> <category>testing</category>

<body package="ChemoJun-Display-Navigator" selector="is2dMolfile:">is2dMolfile: aFilename 
	| aString aCollection extensionString dimensionString |
	aString := (aFilename class splitPath: aFilename asString) last.
	aCollection := JunStringUtility separate: aString dividers: '.'.
	extensionString := aCollection last asLowercase.
	aCollection size &gt; 2 
		ifTrue: 
			[dimensionString := (aCollection at: aCollection size - 1) asLowercase]
		ifFalse: [dimensionString := String new].
	^extensionString = 'mol' and: [dimensionString = '2d']</body>

<body package="ChemoJun-Display-Navigator" selector="isMolfile:">isMolfile: aFilename 
	| aString aCollection extensionString |
	aString := (aFilename class splitPath: aFilename asString) last.
	aCollection := JunStringUtility separate: aString dividers: '.'.
	extensionString := aCollection last asLowercase.
	^extensionString = 'mol'</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator</class-id> <category>initialize-release</category>

<body package="ChemoJun-Display-Navigator" selector="initialize">initialize
	super initialize.
	moleculeModel := nil</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator</class-id> <category>accessing</category>

<body package="ChemoJun-Display-Navigator" selector="fileModel">fileModel
	fileModel isNil 
		ifTrue: 
			[super fileModel.
			fileModel leftList selectBlock: ChemoJunUtility selectBlockForDirectoryContents.
			fileModel centerList selectBlock: ChemoJunUtility selectBlockForDirectoryContents.
			fileModel rightList selectBlock: ChemoJunUtility selectBlockForDirectoryContents].
	^fileModel</body>

<body package="ChemoJun-Display-Navigator" selector="moleculeModel">moleculeModel
	moleculeModel isNil ifTrue: [moleculeModel := ChemoJunMoleculeModel new].
	^moleculeModel</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator</class-id> <category>actions</category>

<body package="ChemoJun-Display-Navigator" selector="checkFilename:">checkFilename: aFilename 
	self moleculeModel beInvisible.
	self movieModel beInvisible.
	self imageModel beInvisible.
	self textModel beInvisible.
	self bodyModel beInvisible.
	self fileModel updateCurrentFileName.
	aFilename isNil ifTrue: [^self].
	aFilename definitelyExists ifFalse: [^self].
	aFilename isDirectory ifTrue: [^self].
	JunSensorUtility altDown 
		ifFalse: 
			[(self class isMolfile: aFilename) 
				ifTrue: 
					[| aReader |
					(self builder componentAt: #moleculeModel)
						beVisible;
						enable.
					aReader := self moleculeModel defaultMolFileReaderClass 
								fileName: aFilename.
					self moleculeModel moleculeFromReader: aReader.
					^self]].
	super checkFilename: aFilename</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunChemicalMediaNavigator</class-id> <category>interface opening</category>

<body package="ChemoJun-Display-Navigator" selector="postOpenWith:">postOpenWith: aBuilder 
	| specWrapper |
	specWrapper := aBuilder componentAt: #moleculeModel.
	specWrapper beInvisible.
	specWrapper widget 
		client: self moleculeModel
		spec: #windowSpec
		builder: aBuilder.
	super postOpenWith: aBuilder</body>
</methods>


</st-source>
