<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76977 "21:22:57"))'</do-it>



<class>
<name>ChemoJunMoleculeModel</name>
<environment>ChemoJun</environment>
<super>ChemoJun.ChemoJunMoleculeViewer</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-Display-Navigator</category>
<attributes>
<package>ChemoJun-Display-Navigator</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel class</class-id> <category>copyright</category>

<body package="ChemoJun-Display-Navigator" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-Display-Navigator" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-Display-Navigator" selector="version">version
	^'071'
</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel class</class-id> <category>examples</category>

<body package="ChemoJun-Display-Navigator" selector="example1">example1
	"ChemoJunMoleculeModel example1."

	| aModel |
	aModel := ChemoJunMoleculeModel new.
	aModel open.
	^aModel</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel class</class-id> <category>interface specs</category>

<body package="ChemoJun-Display-Navigator" selector="windowSpec">windowSpec
	"Tools.UIPainter new openOnClass: self andSelector: #windowSpec"

	&lt;resource: #canvas&gt;
	^#(#{UI.FullSpec} 
		#window: 
		#(#{UI.WindowSpec} 
			#label: 
			#(#{Kernel.UserMessage} 
				#key: #chemoJun_Molecular_Viewer 
				#defaultString: 'Molecular Viewer' ) 
			#min: #(#{Core.Point} 280 280 ) 
			#bounds: #(#{Graphics.Rectangle} 512 384 812 684 ) 
			#flags: 4 
			#menu: #menuBar ) 
		#component: 
		#(#{UI.SpecCollection} 
			#collection: #(
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} 1 0 1 0 -20 1 -1 1 ) 
					#name: #moleculeView 
					#colors: 
					#(#{UI.LookPreferences} 
						#setBackgroundColor: #(#{Graphics.ColorValue} #white ) ) 
					#component: #moleculeView ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} -19 1 1 0 -1 1 19 0 ) 
					#name: #moleculePickButtonView 
					#flags: 0 
					#component: #moleculePickButtonView ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} -19 1 20 0 -1 1 38 0 ) 
					#name: #moleculeGrabButtonView 
					#flags: 0 
					#component: #moleculeGrabButtonView ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} -19 1 39 0 -1 1 57 0 ) 
					#name: #moleculeDragButtonView 
					#flags: 0 
					#component: #moleculeDragButtonView ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} -19 1 -61 0.5 -1 1 61 0.5 ) 
					#name: #moleculeZThumbWheelView 
					#flags: 0 
					#component: #moleculeZThumbWheelView ) 
				#(#{UI.ArbitraryComponentSpec} 
					#layout: #(#{Graphics.LayoutFrame} -19 1 62 0.5 -1 1 80 0.5 ) 
					#name: #moleculeFocusButtonView 
					#flags: 0 
					#component: #moleculeFocusButtonView ) ) ) )</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunMoleculeModel</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel</class-id> <category>cmn support</category>

<body package="ChemoJun-Display-Navigator" selector="beInvisible">beInvisible
	| specWrapper |
	(specWrapper := self specWrapper) isNil ifTrue: [^nil].
	specWrapper
		beInvisible;
		disable</body>

<body package="ChemoJun-Display-Navigator" selector="beVisible">beVisible
	| specWrapper |
	(specWrapper := self specWrapper) isNil ifTrue: [^nil].
	specWrapper
		beVisible;
		enable</body>

<body package="ChemoJun-Display-Navigator" selector="specWrapper">specWrapper
	| aBuilder |
	(aBuilder := self builder) isNil ifTrue: [^nil].
	^aBuilder componentAt: #moleculeModel</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel</class-id> <category>defaults</category>

<body package="ChemoJun-Display-Navigator" selector="defaultDisplayViewClass">defaultDisplayViewClass
	^ChemoJunMoleculeView</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel</class-id> <category>interface opening</category>

<body package="ChemoJun-Display-Navigator" selector="moleculeDragButtonView">moleculeDragButtonView
	^self dragButtonView</body>

<body package="ChemoJun-Display-Navigator" selector="moleculeFocusButtonView">moleculeFocusButtonView
	^self focusButtonView</body>

<body package="ChemoJun-Display-Navigator" selector="moleculeGrabButtonView">moleculeGrabButtonView
	^self grabButtonView</body>

<body package="ChemoJun-Display-Navigator" selector="moleculePickButtonView">moleculePickButtonView
	^self pickButtonView</body>

<body package="ChemoJun-Display-Navigator" selector="moleculeView">moleculeView
	| aView |
	aView := self displayView.
	(aView controller)
		menuHolder: [self yellowButtonMenu];
		performer: self.
	^aView</body>

<body package="ChemoJun-Display-Navigator" selector="moleculeZThumbWheelView">moleculeZThumbWheelView
	^self zThumbWheelView</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel</class-id> <category>menu accessing</category>

<body package="ChemoJun-Display-Navigator" selector="yellowButtonMenu">yellowButtonMenu
	| rejectedLabelString menuItem aMenu |
	rejectedLabelString := 'File'.
	menuItem := self menuItemLabeled: rejectedLabelString inMenu: self menuBar.
	menuItem isNil ifTrue: [^nil].
	aMenu := menuItem submenu.
	aMenu isNil ifTrue: [^nil].
	menuItem := aMenu menuItemWithValue: #saveAsImage ifNone: [nil].
	menuItem isNil ifTrue: [^nil].
	aMenu := Menu new.
	aMenu addItem: menuItem.
	(self menuBar menuItems 
		reject: [:each | each rawLabel defaultString = rejectedLabelString]) 
			do: [:eachMenuItem | aMenu addItem: eachMenuItem].
	^aMenu</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel</class-id> <category>menu messages</category>

<body package="ChemoJun-Display-Navigator" selector="spawnObject">spawnObject
	| moleculeModel |
	moleculeModel := super spawnObject.
	self getView 
		ifNotNil: [:aView | moleculeModel setSize: aView bounds extent]</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel</class-id> <category>testing</category>

<body package="ChemoJun-Display-Navigator" selector="isEmbedded">isEmbedded
	| aWindow |
	((aWindow := self getWindow) notNil and: [aWindow model = self]) 
		ifTrue: [^false].
	^true</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunMoleculeModel</class-id> <category>private</category>

<body package="ChemoJun-Display-Navigator" selector="setSize:">setSize: extent 
	self isEmbedded ifTrue: [^nil].
	super setSize: extent</body>
</methods>


</st-source>
