<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76976 "21:22:56"))'</do-it>



<class>
<name>ChemoJunViewerCatalogComposite</name>
<environment>ChemoJun</environment>
<super>Graphics.CompositePart</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>moleculeCatalog </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-Catalog-Viewer</category>
<attributes>
<package>ChemoJun-Catalog-Viewer</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogComposite class</class-id> <category>copyright</category>

<body package="ChemoJun-Catalog-Viewer" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-Catalog-Viewer" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-Catalog-Viewer" selector="version">version
	^'071'
</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunViewerCatalogComposite</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogComposite</class-id> <category>initialize-release</category>

<body package="ChemoJun-Catalog-Viewer" selector="initialize">initialize
	super initialize.
	moleculeCatalog := nil</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogComposite</class-id> <category>accessing</category>

<body package="ChemoJun-Catalog-Viewer" selector="moleculeCatalog">moleculeCatalog
	^moleculeCatalog</body>

<body package="ChemoJun-Catalog-Viewer" selector="moleculeCatalog:">moleculeCatalog: aMoleculeCatalog 
	moleculeCatalog := aMoleculeCatalog</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogComposite</class-id> <category>bounds accessing</category>

<body package="ChemoJun-Catalog-Viewer" selector="bounds:">bounds: newBounds 
	super bounds: newBounds.
	self moleculeCatalog ifNotNil: 
			[:it | 
			it catalogScroller scrollOffsetHolder 
				grid: (self bounds width / it columnSize) @ self bounds height / it rowSize.
			it catalogScroller fixScrollingOffset.
			it changedViewBox: newBounds]</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogComposite</class-id> <category>displaying</category>

<body package="ChemoJun-Catalog-Viewer" selector="displayOn:">displayOn: graphicsContext 
	super displayOn: graphicsContext.
	self displaySelections</body>

<body package="ChemoJun-Catalog-Viewer" selector="displaySelections">displaySelections
	| graphicsContext aWrapper catalogViewer catalogElement aBox |
	graphicsContext := self graphicsContext.
	self moleculeCatalog ifNotNil: 
			[:aCatalog | 
			graphicsContext lineWidth: 1.
			1 to: components size
				do: 
					[:index | 
					aWrapper := components at: index.
					catalogViewer := aWrapper bottomComponent model.
					catalogElement := aCatalog elementOfViewer: catalogViewer.
					aBox := aWrapper bounds insetBy: (0 @ 0 corner: 1 @ 1).
					(aCatalog selections includes: catalogElement) 
						ifTrue: 
							[graphicsContext
								paint: ColorValue red;
								displayRectangularBorder: aBox]
						ifFalse: 
							[graphicsContext
								paint: ColorValue veryLightGray;
								displayRectangularBorder: aBox]]]</body>
</methods>


</st-source>
