<?xml version="1.0"?>

<st-source>

<do-it>'ChemoJun071 (Array with: (Date newDay: 28 monthNumber: 3 year: 2007 "2007/03/28") with: (Time fromSeconds: 76976 "21:22:56"))'</do-it>



<class>
<name>ChemoJunViewerCatalogViewerController</name>
<environment>ChemoJun</environment>
<super>ChemoJun.ChemoJunMoleculeController</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>ChemoJun-Catalog-Viewer</category>
<attributes>
<package>ChemoJun-Catalog-Viewer</package>
</attributes>
</class>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogViewerController class</class-id> <category>copyright</category>

<body package="ChemoJun-Catalog-Viewer" selector="copyright">copyright
	^'ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.'</body>

<body package="ChemoJun-Catalog-Viewer" selector="system">system
	^'ChemoJun'</body>

<body package="ChemoJun-Catalog-Viewer" selector="version">version
	^'071'
</body>
</methods>

<!-- -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -   -->


<comment>
<class-id>ChemoJun.ChemoJunViewerCatalogViewerController</class-id>
<body>ChemoJun071 (2007/03/28) Copyright 2002-2007 National Institute of Informatics, Research Organization of Information and Systems.</body>
</comment>

<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogViewerController</class-id> <category>control activities</category>

<body package="ChemoJun-Catalog-Viewer" selector="dragActivity">dragActivity
	super dragActivity.
	self model applyProjectionTableToElement</body>

<body package="ChemoJun-Catalog-Viewer" selector="grabActivity">grabActivity
	super grabActivity.
	self model applyProjectionTableToElement</body>

<body package="ChemoJun-Catalog-Viewer" selector="moveActivity">moveActivity
	self flushMovementVector.
	self model moveAt: self mouse2dPoint.
	self sensor waitNoButton</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogViewerController</class-id> <category>control defaults</category>

<body package="ChemoJun-Catalog-Viewer" selector="doubleClickActivity">doubleClickActivity
	self flushMovementVector.
	self model doubleClickAt: self mouse2dPoint.
	self sensor waitNoButton</body>

<body package="ChemoJun-Catalog-Viewer" selector="redButtonActivity">redButtonActivity
	self sensor altDown 
		ifTrue: [^JunCursors handCursor showWhile: [self grabActivity]]
		ifFalse: 
			[| aSymbol |
			aSymbol := JunSensorUtility checkRedButton: 250.
			aSymbol = #single ifTrue: [^self clickActivity].
			aSymbol = #double ifTrue: [^self doubleClickActivity].
			aSymbol = #grab ifTrue: [self moveActivity]].
	self sensor waitNoButton</body>

<body package="ChemoJun-Catalog-Viewer" selector="yellowButtonActivity">yellowButtonActivity
	self sensor altDown 
		ifTrue: [^JunCursors quartersCursor showWhile: [self dragActivity]].
	self yellowButtonShiftActivity ifTrue: [^nil].
	self flushMovementVector.
	^self processMenuAt: self sensor globalCursorPoint centered: true</body>
</methods>

<methods>
<class-id>ChemoJun.ChemoJunViewerCatalogViewerController</class-id> <category>events</category>

<body package="ChemoJun-Catalog-Viewer" selector="mouseWheelEvent:">mouseWheelEvent: event 
	super mouseWheelEvent: event.
	self model applyProjectionTableToElement.
	^nil</body>
</methods>


</st-source>
